Runtime

## org.eclipse.gmf.runtime.common.ui.services.parser
Class ParserOptions

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.parser.ParserOptions

    public final class ParserOptions

extends java.lang.Object

This is a wrapper used for defining, setting, and retrieving flags that can be used for the parser operations that take a flags int as a parameter.

Field Summary
`static ParserOptions` `BIND_STYLE_TEXT` Show that there are bound arguments.
`static ParserOptions` `IGNORE_PLACEHOLDERS` Indicates that placeholders should be ignored - if there are no data, no placeholder will be generated.
`static ParserOptions` `NONE` Default.
`static ParserOptions` `SHOW_ALIAS` Show alias.
`static ParserOptions` `SHOW_DERIVED` Show that the element is derived.
`static ParserOptions` `SHOW_PARENT_NAME` Show parent name.
`static ParserOptions` `SHOW_SEQUENCE_NUMBER` Show number of the message.
`static ParserOptions` `SHOW_SIGNATURE` Show signature.
`static ParserOptions` `SHOW_TYPE` Show type.
`static ParserOptions` `STEREOTYPE_STYLE_TEXT` Display the Stereotype.
`static ParserOptions` `TYPE_STYLE_TEXT` Show the type.
`static ParserOptions` `USE_PARAMETER_NAMES` Indicates that message signatures should use the "<parameter name> = <value>" notation.
`static ParserOptions` `VISIBILITY_STYLE_TEXT` Display the visibility of the item.

Constructor Summary
`ParserOptions()` Default constructor to initialize ParserOptions with no custom flags.
`ParserOptions(int flags)` Constructor that takes flags in as a parameter.

Method Summary
`int` `intValue()` Returns the options as an int so they can be passed to operations.
`static boolean` `isSet(int flags, ParserOptions option)` Checks if the specified option is set in the flags supplied.
`void` `set(ParserOptions option)` Sets an option in this ParserOptions.
`void` `unSet(ParserOptions option)` UnSets an option in the this ParserOptions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final ParserOptions NONE

  Default. No parser options.

### VISIBILITY_STYLE_TEXT

    public static final ParserOptions VISIBILITY_STYLE_TEXT

  Display the visibility of the item.

### STEREOTYPE_STYLE_TEXT

    public static final ParserOptions STEREOTYPE_STYLE_TEXT

  Display the Stereotype.

### SHOW_PARENT_NAME

    public static final ParserOptions SHOW_PARENT_NAME

  Show parent name.

### SHOW_SIGNATURE

    public static final ParserOptions SHOW_SIGNATURE

  Show signature.

### SHOW_TYPE

    public static final ParserOptions SHOW_TYPE

  Show type.

### SHOW_ALIAS

    public static final ParserOptions SHOW_ALIAS

  Show alias.

### SHOW_DERIVED

    public static final ParserOptions SHOW_DERIVED

  Show that the element is derived.

### SHOW_SEQUENCE_NUMBER

    public static final ParserOptions SHOW_SEQUENCE_NUMBER

  Show number of the message.

### BIND_STYLE_TEXT

    public static final ParserOptions BIND_STYLE_TEXT

  Show that there are bound arguments.

### TYPE_STYLE_TEXT

    public static final ParserOptions TYPE_STYLE_TEXT

  Show the type.

### IGNORE_PLACEHOLDERS

    public static final ParserOptions IGNORE_PLACEHOLDERS

  Indicates that placeholders should be ignored - if there are no data, no placeholder will be generated. An example would be guillemets for the stereotype list. If there are no stereotypes, the guillemets would be the placeholder.

### USE_PARAMETER_NAMES

    public static final ParserOptions USE_PARAMETER_NAMES

  Indicates that message signatures should use the "<parameter name> = <value>" notation.

Constructor Detail

### ParserOptions

    public ParserOptions()

  Default constructor to initialize ParserOptions with no custom flags.

### ParserOptions

    public ParserOptions(int flags)

  Constructor that takes flags in as a parameter.

  Parameters:
    `flags` - that describe how the text should be parsed. Some flags are defined in this class.

Method Detail

### intValue

    public int intValue()

  Returns the options as an int so they can be passed to operations.

  Returns:
    int the options in int form

### isSet

    public static boolean isSet(int flags,
                                ParserOptions option)

  Checks if the specified option is set in the flags supplied.

  Parameters:
    `flags` - int representing the flags
    `option` - one of the defined ParserOptions
  Returns:
    boolean true if this option is set; false otherwise

### set

    public void set(ParserOptions option)

  Sets an option in this ParserOptions.

  Parameters:
    `option` - one of the defined ParserOptions

### unSet

    public void unSet(ParserOptions option)

  UnSets an option in the this ParserOptions.

  Parameters:
    `option` - one of the defined ParserOptions

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.